Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87708 - Some Preferences dialogs appear and stay behind the main Prefeences dialog
Summary: Some Preferences dialogs appear and stay behind the main Prefeences dialog
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 17:02 UTC by David Balažic
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-05 15:53:33 UTC


Attachments (Terms of Use)

Description David Balažic 2003-04-01 17:02:00 UTC
Description of problem:

Open the Preferences dialog, then either :
 - Privacy&security -> certificates -> "Manage Certificates..."
 or Privacy&security -> certificates -> "Manage Security Devices..."
 or Privacy&security -> Validation -> "Manage CRLs..."

 All open a dialog that is behind the Preferences dialog and can not be brought
to the front ! The original Preferences window is always above them.

 Same problem with the help ( click on "Help" button in the Preferences dialog
). It is behind the Preferences window.

This is on a fresh RHL9 install, running as root in a GNOME session.

Version-Release number of selected component (if applicable):

mozilla-1.2.1-26
metacity-2.4.34-3

How reproducible:


Steps to Reproduce:
1. start mozilla
2. menu Edit -> Preferences... -> Privacy&security -> Certificates -> "Manage
Certificates..."

    
Actual results:

The "Certificate Manager" dialog is always bwehind the "Preferences" dialog.

Expected results:

The active dialog is raised above the rest.

Additional info:

Comment 1 Christopher Blizzard 2003-05-05 15:53:33 UTC
Filed upstream as:

http://bugzilla.mozilla.org/show_bug.cgi?id=204474


Note You need to log in before you can comment on or make changes to this bug.